Fetch Multiple Users

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request GET \
     --url https://api.servetel.in/v1/users \
     --header 'accept: application/json'

šŸ“˜ Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Query Params)

The following parameter is required to fetch multiple users:

Variable NameDescriptionData Type
last_seen_idProvide results after this id.Integer.
limitProvides user count according to limit.Integer.
is_extension_createdUser details with and without extension respectively.Boolean.
is_login_based_callingLogin based calling disabled or enabled on users.Boolean.
is_international_callingInternational calling disabled or enabled on users.Boolean.
is_web_loginWeb login disabled or enabled on users.Boolean.
user_statusUser disabled or enabled on users.Boolean.

Sample Response

{
    "has_more": true,
    "count": 20,
    "last_seen_id": 370822,
    "data": [
        {
            "id": 314678,
            "name": "xyz",
            "agent": {
                "id": "0502842370097",
                "name": "xyz",
                "status": 0,
                "follow_me_number": "+911111111111"
            },
            "login_id": "[email protected]",
            "is_login_based_calling_enabled": false,
            "is_international_outbound_enabled": false,
            "user_role": {
                "id": 54630,
                "name": "Quality"
            },
            "extension": null,
            "user_status": 1
        }
]
}
 

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
has_moreIt defines whether there exist more records or not. For example: true or false.Boolean
countTotal number of records in current page.integer
last_seen_idreference id of last user in the current page.integer
data[i].idId of the user.integer
data[i].nameName of the user.String
data[i].agent.idId of the agent.String
data[i].agent.nameName of the agent.String
data[i].agent.statusStatus of the agent. For example: Enabled = 0
Blocked = 1
Disabled = 2
Busy = 3
Offline = 4
integer
data[i].agent.follow_me_numberPhone number of the agent.String
data[i].login_idLogin Id of the user.String
data[i].is_login_based_calling_enabledWhether login-based calling is enabled on the user or not. For example: true or false.Boolean
data[i].is_international_outbound_enabledWhether internation outbound is enabled on the user or not. For example: true or false.Boolean
data[i].user_role.idId of the permission role defined for the user.integer
data[i].user_role.nameName of the permission role defined for the user.String
data[i].extensionExtension assigned to the user.String
data[i].user_statusCurrent status of the user account.integer
Query Params
int32

provide results after this id

int32

provides user count according to limit

boolean

user details with and without extension respectively

boolean

login based calling disabled or enabled on users

boolean

international calling disabled or enabled on users

boolean

web login disabled or enabled on users

boolean

user disabled or enabled on users

Headers
string
required

bearer token

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json